program TetrisLandia;
uses
  Windows,
  GMVars in 'GMVars.pas',
  GMWindow in 'GMWindow.pas',
  GMMap in 'GMMap.pas',
  GMUtilite in 'GMUtilite.pas',
  Textures in 'Textures.pas',
  fmod in 'Fmod\Fmod.pas',
  fmoddyn in 'Fmod\fmoddyn.pas',
  fmoderrors in 'Fmod\fmoderrors.pas',
  fmodpresets in 'Fmod\fmodpresets.pas',
  fmodtypes in 'Fmod\fmodtypes.pas',
  IDX_sound in 'IDX_sound.pas',
  GMTetris in 'GMTetris.pas',
  GMHallFame in 'GMHallFame.pas';

begin
 appPath:=ExtractFileDir(ParamStr(0))+'\';
 ReadOptions(appPath+'Options.ini');
 CreateTheWindow(SCRW, SCRH, SCRHZ, SCRBit, FullScreen,Sync);
 WinMain(hInstance, hPrevInst, CmdLine, CmdShow);
 DestroyTheWindow;
end.
